2 příspěvky / 0 new
Poslední
Neznámý
Obrázek uživatele Neznámý
zypper, The following package updates will NOT be installed:

Tohle mi zypper pise a nektere balicky tedy neupdatuje. Vi nekdo co s tim?

The following package updates will NOT be installed:

Obrázek uživatele airlive
Offline
Naposledy viděn: 5 let 10 měsíců zpět
Připojen: 17.11.2010 - 20:33
Re: zypper, The following package updates will NOT be installed:

... dej sem výstup z příkazu jako root :
zypper lr -d

openSuSE 12.2(64b) - KDE
Opera: King of Browsers.
"Tón, kterým se hovoří v linuxových skupinách, je tvrdý, ale srdečný..."

Obrázek uživatele airlive
Offline
Naposledy viděn: 5 let 10 měsíců zpět
Připojen: 17.11.2010 - 20:33
Re: zypper, The following package updates will NOT be installed:

... smaž repo VLC (videolan) a repo-source ,potom :
zypper ref
a
zypper dup

... VLC nainstaluj z repa packman

openSuSE 12.2(64b) - KDE
Opera: King of Browsers.
"Tón, kterým se hovoří v linuxových skupinách, je tvrdý, ale srdečný..."

Obrázek uživatele airlive
Offline
Naposledy viděn: 5 let 10 měsíců zpět
Připojen: 17.11.2010 - 20:33
Re: zypper, The following package updates will NOT be installed:

..... balíčky → gstreamer-0_10-plugins-base gstreamer-0_10-plugins-good ← vyhledej v Yastu-install/remove software,kde vyřešíš závislosti tím,že je nainstaluješ z repa → openSUSE 12.1-Oss
...tím by to mělo mít splněné závislosti a nefajlovat.

openSuSE 12.2(64b) - KDE
Opera: King of Browsers.
"Tón, kterým se hovoří v linuxových skupinách, je tvrdý, ale srdečný..."

Obrázek uživatele airlive
Offline
Naposledy viděn: 5 let 10 měsíců zpět
Připojen: 17.11.2010 - 20:33
Re: zypper, The following package updates will NOT be installed:

... pokud by ti něco nehrálo jako videa,mp3 streamy na webových stránkách,tak se to dá vyřešit i takhle,pokud tam budou závislosti,tak je vyřešíš z nabídek přímo v konzoli jen zadávání čísel → 1/2/3 pokud nevíš co zvolit napiš sem i s vloženou závislostí do → Code

A) pokud máš KDE:
zypper in libdvdcss2 vlc libxine1-codecs k3b-codecs ffmpeg lame gstreamer-0_10-ffmpeg gstreamer-0_10-plugins-bad gstreamer-0_10-plugins-ugly gstreamer-0_10-plugins-ugly-orig-addon w32codes-all MPlayer smplayer gstreamer-0_10-plugins-good libxine1 libdvdplay0 libdvdread4 libdvdnav4 xine-ui libmad0 ffmpeg sox libxvidcore4 xvidcore libavcodec52 libavdevice52 libvlccore4 libvlc5 lsb pullin-flash-player flash-player gstreamer-0_10-ffmpeg gstreamer-0_10-fluendo-mp3 gstreamer-0_10-fluendo-mpegdemux gstreamer-0_10-fluendo-mpegmux gstreamer-0_10-plugins-base gstreamer-0_10-plugins-good-extra k3b libquicktime0 gstreamer-0_10-plugins-bad-orig-addon gecko-mediaplayer

B) pro Gnome:
zypper in libdvdcss2 vlc libxine1-codecs ffmpeg lame gstreamer-0_10-ffmpeg gstreamer-0_10-plugins-bad gstreamer-0_10-plugins-ugly gstreamer-0_10-plugins-ugly-orig-addon totem-browser-plugin w32codes-all MPlayer smplayer gstreamer-0_10-plugins-good libxine1 libdvdplay0 libdvdread4 libdvdnav4 xine-ui libmad0 ffmpeg sox libxvidcore4 xvidcore libavcodec52 libavdevice52 libvlccore4 libvlc5 totem totem-plugin-upnp totem-plugins nautilus-totem lsb pullin-flash-player flash-player gstreamer-0_10-ffmpeg gstreamer-0_10-fluendo-mp3 gstreamer-0_10-fluendo-mpegdemux gstreamer-0_10-fluendo-mpegmux gstreamer-0_10-plugins-base gstreamer-0_10-plugins-good-extra libquicktime0 gstreamer-0_10-plugins-bad-orig-addon

... ještě je potřeba doinstalovat balíček smplayer-lang aby byl smplayer v češtině.

Na tomhle přehraju i amoletu v mechanice(teda krom toho co běží na widlo- silverlightu :D

openSuSE 12.2(64b) - KDE
Opera: King of Browsers.
"Tón, kterým se hovoří v linuxových skupinách, je tvrdý, ale srdečný..."

Obrázek uživatele airlive
Offline
Naposledy viděn: 5 let 10 měsíců zpět
Připojen: 17.11.2010 - 20:33
Re: zypper, The following package updates will NOT be installed:

klerik wrote:diky airlive, uz jsem to vse vyresil. Leta jsem pouzival Arch Linux a tam se nic takoveho resit nemusi. Jinak pouzivam KDE a na vsechno VLC (vcetne phononu), takze gstreamer na nic nepotrebuju, ale koukam, ze je na nem vsechno zavisle :).
Jeste jednou diky za pomoc.

... ony ty repozitáře jsou občas taková trochu alchimie,je lepší (teda z mé vlastní zkušenosti) při smazání či odebrání vždy zypper ref - zypper up a zypper dup
je přidávat na 2-3 etapy tzn:
A)
1)jako první nechat pouze - Oss
2) - Non Oss
3) - Update pro verzi xxx

B) druhá várka
1) - Packman
2) - ATI/Nvidia (záleží kdo má jako gr.kartu)
3) - libdvdcss

C) pak záleží kdo jaká repa potřebuje

...pokud to tak udělám tak z 99% závislosti řešit nemusím
...většinou se nějaká paseka udělá mezi Oss - Packman - libdvdcssv -kodecích než Packman přebere všechny pod svůj zdroj.

openSuSE 12.2(64b) - KDE
Opera: King of Browsers.
"Tón, kterým se hovoří v linuxových skupinách, je tvrdý, ale srdečný..."